#add-color-modal .modal-content-inner {
    display: flex;
    flex-direction: row;
}

#add-color-modal  .modal-content{
    --modal-width: auto;
}

#add-color-modal .photo-section{
    width: auto;
    max-width: 500px;
}
#add-color-modal .attr-section {
    width: auto;
}

#add-color-modal .form-submit {
    margin-top: 1em;
}

span.stickyColorSpan {
    width: 12px;
    height: 12px;
    display: inline-block;
    position: relative;
    left: 0.5em;
    border-radius: 50%;
}


span#stickyColorSpanProduct {
    width: 35px;
    height: 35px;
    display: inline-block;
    position: absolute;
    margin-left: 0.5em;
    margin-top: 5px;
    border-radius: 50%;
}

span.clearColor {
    width: 28px;
    height: 28px;
    cursor: pointer;
    display: inline-block;
    position: absolute;
    margin-left: 0.5em;
    border-radius: 50%;
    background: #ff0000;
    text-align: center;
    line-height: 24px;
    display: none;
}

.w-button.w-button-default {
    display: none;
}

#add-color-modal .w-form-group:not(.w-orientation) {
    display: grid;
    grid-template-columns: repeat(auto-fill, 50px);
    gap: 4px;
}

.w-content-colors .w-sticky-color {
    width: 44px;
    height: 44px;
}

#add-color-modal .w-form-group:not(.w-orientation) .w-button label {
    padding: 0;
    border-radius: 0;
    border: unset;
}

#add-color-modal .w-form-group.w-orientation {
    grid-template-columns: 1fr 1fr;
}

#add-color-modal .w-orientation .w-button label {
    border-radius: 0px;
}

#add-color-modal .w-orientation .w-button label {
    border: 1px solid #e3e3e3;
    border-radius: unset;
    padding: 1em;
}

#add-color-modal .w-form-group:not(.w-orientation) .w-button input[type="radio"]:checked + label .w-sticky-color {
    border: 3px solid rgb(237, 17, 101);
}

#add-color-modal .w-orientation .w-button input[type="radio"]:checked + label {
    background-color: rgb(237, 17, 101);
    color: #fff
}

#add-color-modal .w-form-group:not(.w-orientation)  .w-button:hover .w-sticky-color {
    border: 3px solid rgb(138, 15, 62, 0.2);
} 

button#show-wall {
    height: auto;
    line-height: initial;
    width: auto;
    padding: 4px;
    font-size: 16px;
}

.w-wall{
    --wall-height: 476px;
}

#add-color-modal .w-wall.w-form-group:not(.w-orientation){
    height: 0;
    overflow: hidden;
    transition: 0.3s ease-in-out;
}

#add-color-modal .w-form-group.w-wall .w-button{
    width: 36px;
    height: 36px;
}

#add-color-modal .w-wall.w-form-group:not(.w-orientation) {
    grid-template-columns: repeat(8,1fr);
    margin-top: 1rem;
    width: fit-content;
}

.w-content-div-inner .wall-note {
    font-size: 1.2rem;
    line-height: 1.2rem;
    margin-bottom: 1.5rem;
}

div#add-color-modal h5 {
    margin-top: 5px;
    margin-bottom: 10px;
}

.w-content-wrapper {
    display: flex;
    flex-direction: row;
    gap: 3em;
}

.w-content-div.w-content-colors:first-child .w-form-group {
    width: 250px;
}

span#stickyColorNameSpanProduct {
    display: inline-block;
    position: absolute;
    margin-left: calc(0.5em + 35px + 0.5em);
    margin-top: 7px;
    font-weight: 700;
}

#add-color-modal .tool::after{
    margin-left: -50px;
    width: 100px;
    text-align: center;
}

#add-color-modal .tool::before,
#add-color-modal .tool::after {
    z-index: -1000;
}


#add-color-modal .tool:hover::after,
#add-color-modal .tool:focus::after,
#add-color-modal .tool:hover::before,
#add-color-modal .tool:focus::before {
    z-index: 100;
}

#add-color-modal .w-content-colors-manual .w-sticky-color {
    width: 44px;
    height: 44px;
}

#add-color-modal .w-content-colors-manual .tool::after{
    margin-left: -50px;
    width: 180px;
    text-align: center;
}

.modal-content .isw-swatch--isw_image {
    --size: 48px;
    padding: 20px 0 20px 0;
}

.modal-content .selected-term-name {
    font-size: 22px;
    white-space: normal;
}

.modal-content .w-wall label.w-label {
    width: 34px;
    max-width: none;
}

.modal-content .attr-section .w-content-div .label {
    display: inline-block;
}

.apto-sticker-color-text {
    display: none;
    font-weight: 700;
    color: #e2401c;
    margin-bottom: .5rem;
}

.apto-button-disabled {
    opacity: .8;
    cursor: not-allowed!important;
    pointer-events: none!important;
}

#add-color-button {
    margin-bottom: .5rem;
}

simpler-checkout {
    display: none;
}

@media (max-width: 850px) {
    span.clearColor {
        margin-left: 5px;
        width: 20px;
        height: 20px;
        font-size: 18px;
        line-height: 17px;
        margin-top: 4px;
    }

    .w-wall{
        --wall-height: 430px;
    }

    #add-color-modal .w-wall.w-form-group:not(.w-orientation) {
        gap: 2px;
    }

    #add-color-modal .w-form-group.w-wall .w-button {
        width: 34px;
        height: 34px;
    }

    .w-sticky-color {
        width: 28px;
        height: 28px;
    }

    #add-color-modal .modal-content-inner {
        flex-direction: column;
        padding: 0;
    }

    #add-color-modal .photo-section,#add-color-modal .attr-section{
        width: 100%;
    }


    #add-color-modal .attr-section {
        padding: 0 1em 1em 1em;
    }

    #add-color-modal .photo-section {
        padding: 1em 1em 0 1em;
    }

    #add-color-modal .modal-content{
        max-width: 100vw;
    }

    div#add-color-modal form {
        margin-bottom: 4em;
    }

    div#add-color-modal .form-submit {
        margin-top: 0;
        position: fixed;
        bottom: 0;
        z-index: 90;
        left: 0;
        background: #fff;
        padding: 1em;
        border-top: 1px solid #e3e3e3;

        display: flex;
        justify-content: center;
        align-items: center;
    }

    div#add-color-modal .price-div,
    div#add-color-modal .btn-div{
        margin: auto;
        width: 50%;
    }
}

@media (max-width: 548px) {
    #add-color-modal .w-content-wrapper {
        flex-direction: column;
    }

    #add-color-modal .w-form-group {
        width: 100%;
    }
}
